
TextCritical.net - Feature #412

Work Chapter Paginator

10/08/2012 04:22 PM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Add a paginator that allows easy movement between chapters.

Also, it may be wise to print the number of chapters under the paginator (like Flickr does):

 

Related issues:

Related to TextCritical.net - Feature #400: Book Reading Page Closed 08/31/2012

Associated revisions

Revision 97 - 11/03/2012 04:17 AM - Luke Murphey

Added chapter paginator. Closes #412.

Revision 97 - 11/03/2012 04:17 AM - Luke Murphey

Added chapter paginator. Closes #412.

Revision 92 - 11/03/2012 04:17 AM - Luke Murphey

Added chapter paginator. Closes #412.

History

#1 - 10/08/2012 04:22 PM - Luke Murphey

- Description updated

#2 - 10/20/2012 06:24 AM - Luke Murphey

Normal Django pagination isn't suited to this task. The reason is that we are not grouping sets of items, but rather just listing existing ones (chapters).

#3 - 11/02/2012 06:52 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 11/03/2012 04:18 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r97.

Files
